package com.example.domain.model;

import io.smallrye.graphql.api.federation.Provides;
import org.eclipse.microprofile.graphql.Id;

import java.util.UUID;

public class Review {

    @Id
    private UUID id;

    private String text;

    @Provides(fields = { "rating", "reviews" })
    private Product product;

    public UUID getId() {
        return id;
    }

    public Review setId(UUID id) {
        this.id = id;
        return this;
    }

    public String getText() {
        return text;
    }

    public Review setText(String text) {
        this.text = text;
        return this;
    }

    public Product getProduct() {
        return product;
    }

    public Review setProduct(Product product) {
        this.product = product;
        return this;
    }
}
