package com.example;

import com.example.domain.model.Review;
import com.example.service.ReviewService;
import io.smallrye.mutiny.Uni;
import org.eclipse.microprofile.graphql.Description;
import org.eclipse.microprofile.graphql.GraphQLApi;
import org.eclipse.microprofile.graphql.Query;

import javax.inject.Inject;
import java.util.UUID;

@GraphQLApi
public class ReviewResource {

    @Inject
    ReviewService service;

    @Query("reviewById")
    @Description("Find review by ID")
    public Uni<Review> getById(UUID id) {
        return service.findById(id);
    }
}