package com.example.domain.model;

import io.smallrye.graphql.api.federation.Extends;
import io.smallrye.graphql.api.federation.External;
import io.smallrye.graphql.api.federation.Key;
import org.eclipse.microprofile.graphql.Id;

import java.util.Set;
import java.util.UUID;

@Extends @Key(fields = "id")
public class Product {

    @Id @External
    private UUID id;

    private Integer rating;

    private Set<Review> reviews;

    public UUID getId() {
        return id;
    }

    public Product setId(UUID id) {
        this.id = id;
        return this;
    }

    public Set<Review> getReviews() {
        return reviews;
    }

    public Product setReviews(Set<Review> reviews) {
        this.reviews = reviews;
        return this;
    }
}
